Task # 61836 (Accepted): Reorganize Content Element properties within backend Extension
Subject: Content Type TABLE does not allow 0 cellspacing
Description

When setting up content type TABLE it does not allow for a cellspacing of 0.  It automatically unckecks the selection and does not
render this in html.

MSIE uses a default cellspacing other than 0 when rendering the tables.  Therefore, there does not appear to be a way to create a
table with no spacing between cells.
(issue imported from #M93)

Related issues:
related to Core - Bug # 16080: Yet another table accessibility improvement Closed 2006-04-24
related to Core - Bug # 24442: Each element shows start und stop 01.01.1970 Closed 2010-12-30

History
#1 - 2004-05-16 19:30 - Ingmar Schlecht

This is about the TCA configuration of the field tt_content.table_cellspacing which is currently like this:
    [type]=input
    [size]=3
    [max]=3
    [eval]=int
    [checkbox]=0
    [range]
        [upper]=200
        [lower]=0
    [default]=0

This would obviously have to be changed in some way, I think.

Anyone with more knowledge on what could be changed without causing any sideeffects please comment!

#2 - 2004-06-08 22:19 - Robert Lemke

What value would you like to put into that field?

I admit that it is quite confusing that the zero (0) disappears as soon as you leave the field. But this is the correct behaviour, because 0 is the default
value, better: the "checkbox value" (see: http://typo3.org/documentation/document-library/doc_core_api/columns_fieldnam-1/)

This means that if the cellspacing or cellpadding field is empty, in reality "0" is set, because the  table_cellspacing and  table_cellpadding fields in
MySQL are of the type integer with default to zero.

As long as you don't want to put something else than an integer value here, I wouldn't consider it a bug. But maybe it would be nicer to display the "0"
when the checkbox is checked.

#3 - 2005-10-31 17:32 - Ernesto Baschny

Both fields should allow an int value OR an empty value ("", i.e. NULL). So TYPO3 could be differenciated if the user doesn't want to set the field
(NULL), which should render a TABLE without any "cellspacing" (or "cellpadding") attribute or if he wants to set the field with a value of "0" (which
would render cellpadding/spacing="0").

As far as I can see there is no TCA-way of having an input field that has "eval=int" but still allows a NULL value. So I guess this would require the new
possibility in the CORE first. But maybe I just cannot see how it could be acomplished (
http://typo3.org/documentation/document-library/doc_core_api/columns_fieldnam-1/).

#4 - 2009-12-28 10:47 - Benjamin Mack

Hey Ernesto,

we could change the DB field to be varchar and then we do the int-evaluation on TCA basis, having finally two values to differentiate ("" and 0) in the
DB.

Of course, the cleanest way would be that TYPO3 finally learns to understand the difference between 0 and NULL.

#5 - 2010-04-29 22:58 - Chris topher

Related to #16080.

#6 - 2013-05-17 16:13 - Riccardo De Contardi
- Target version deleted (0)

Tthe bug is still present in TYPO3 CMS 6.1.0
Said that, AFAIK table attributes like cellspacing and cellpadding are deprecated in HTML5
Honeslty, I think they should be removed.

The field "Additional CSS Class" trims white spaces, so you can't add more than one CSS class... please, fix it!

THANKS

#7 - 2014-09-24 12:36 - Felix Kopp
- Description updated
- Parent task set to #61842
- TYPO3 Version changed from 3.6.0 to 6.2
- PHP Version deleted (4)
- Is Regression set to No

#8 - 2014-10-27 11:03 - Riccardo De Contardi

The bug is still present in TYPO3 6.2.5;

The "Additional CSS Class" field now does not trim spaces
